Changelog
Recent Changes
Section titled “Recent Changes”- 10 Nov 2026 – Removed deprecated activity fields and the v1 search endpoint:
authorandsubjecton activities;authorUserandsubjectUsercarry the same usersGET /api/v1/search; useGET /api/v2/users/search
- 9 Nov 2026 – Removed deprecated vouch fields.
stats.vouchTotals(one entry per token) andtopVouch.amountWeicarry the same data in the same responses:stats.vouchon user objectsvouchesonGET /api/v1/users/:userkey/stats; requests withstartDateorendDateno longer return vouch statisticsvouchTokenand everytopVouchfield exceptamountWeion user statsstats.voucheson trending users
- 6 Nov 2026 – Removed the XP v1 endpoints:
POST /api/v1/xp/extension-daily-checkinGET /api/v1/users/xp-leaderboardGET /api/v1/users/xp-leaderboard/export
- 3 Nov 2026 – Removed XP spending endpoints and an unused activity endpoint:
POST /api/v2/contributions/forgive-selfPOST /api/v2/xp/decisionPOST /api/v2/activities/profile/saved-posts
- 29 Oct 2026 – Removed project listings (project sentiment):
GET /api/v2/projectsGET /api/v2/projects/suggestedGET /api/v2/projects/confirmGET /api/v2/projects/username/{username}GET /api/v2/projects/votes/balanceGET /api/v2/projects/votes/bulk-totalsGET /api/v2/projects/{projectId}PUT /api/v2/projects/{projectId}GET /api/v2/projects/{projectId}/detailsGET /api/v2/projects/{projectId}/chartGET /api/v2/projects/{projectId}/votersPOST /api/v2/projects/{projectId}/votesGET /api/v2/projects/{projectId}/teamPOST /api/v2/projects/{projectId}/teamDELETE /api/v2/projects/{projectId}/teamPOST /api/v2/projects/{projectId}/chainsDELETE /api/v2/projects/{projectId}/chains/{chainId}GET /api/v2/internal/listingsGET /api/v2/internal/listings/{username}
- 23 Oct 2026 – Removed deprecated markets v1 endpoints:
GET /api/v1/markets/searchGET /api/v1/markets/:profileIdGET /api/v2/markets/configsGET /api/v2/markets/feesGET /api/v2/markets/holdingsGET /api/v2/markets/statsGET /api/v2/markets/{profileId}/changeGET /api/v2/markets/{profileId}/vote-pricePOST /api/v2/wallets/privy/markets/buy
- 19 Oct 2026 – Removed deprecated markets v1 endpoints:
GET /api/v1/markets/activity/:addressGET /api/v1/markets/holdings/:address/totalGET /api/v1/markets/leaderboard/profitGET /api/v1/markets/leaderboard/xpGET /api/v1/markets/tx/historyGET /api/v1/markets/volume/:addressGET /api/v2/markets/featuredGET /api/v2/markets/simulate-buyGET /api/v2/markets/users/by/x/{username}POST /api/v2/markets/users/by/addressesGET /api/v2/xp/user/{userkey}/leaderboard-rank
- 30 Sep 2026 – Removed deprecated activity endpoints:
GET /api/v1/activities/actor/:userkeyPOST /api/v1/activities/actorsGET /api/v1/activities/invite/accepted-by/:profileId
- 27 Mar 2026 – Added API key support for programmatic access:
- Create, list, and revoke API keys via SIWE signature (
/api/v2/api-keys) - Authenticate any profile-scoped endpoint with the
X-Ethos-Api-Keyheader
- Create, list, and revoke API keys via SIWE signature (
- 1 Dec 2025 – Removed deprecated endpoints:
POST /api/v1/invitationsGET /api/v1/invitations/pending/:address,GET /api/v1/profiles/directory
- 6 Oct 2025 – Removed deprecated endpoints:
POST /api/v1/reviewsPOST /api/v1/profiles/recent
- 9 Sep 2025 – Removed deprecated endpoints:
POST /api/v1/replyPOST /api/v1/reviews/count
- 8 Aug 2025 – Removed deprecated
/api/v1/activitiesendpoint
Deprecated Endpoints
Section titled “Deprecated Endpoints”These endpoints will be removed after the advertised date. We will do our best to notify consumers (by their advertised X-Ethos-Client header) in advance of removal.
| Endpoint | Description | Sunset |
|---|---|---|
GET /api/v2/whuffies/token-sale-state | Get the current phase of the WHUF token sale. Returns a constant post-unlock state. | 12 Nov 2026 |
GET /api/v1/addresses/:userkey | Get the addresses of a user. Use POST /api/v2/profiles/addresses. | 1 Dec 2026 |
GET /api/v1/markets/:profileId/holders | Get the holders of a market | 1 May 2026 |
GET /api/v2/activities/userkey | Get activities by userkey (author or subject). Use POST /api/v2/activities/profile/given, /received or /all. | Not set |
GET /api/v2/xp/user/{userkey}/season/{seasonId}/weekly | Get weekly XP data for a user in a season. Use GET /api/v2/xp/user/{userkey}/season/{seasonId}/timeline. | Not set |
GET /api/v2/user/by/farcaster/{farcasterUserId} | Get a user by Farcaster user ID | Not set |
GET /api/v2/user/by/farcaster/username/{farcasterUsername} | Get a user by Farcaster username | Not set |
Beta Endpoints
Section titled “Beta Endpoints”Beta endpoints are recent additions and are still subject to rapid change without further notification to consumers. We will remove the ‘beta’ tag once they are stable.
Internal Endpoints
Section titled “Internal Endpoints”Internal endpoints are used by Ethos frontend and are not intended for public consumption. They may change without notice. We intend to ‘publish’ them to beta status.
| Method | Path | Description |
|---|---|---|
GET |
/internal/users/{userkey} |
Fetch user details by userkey. |